> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Sync

> Update the credential associated with a Sync for a Connected User

Use this endpoint to update the credential associated with an existing Sync.

This is useful if you are using [Multi-Account Authorization](/apis/api-reference/multi-account-authorization) and need to explicitly bind a Sync to an existing credential ID.

After sending a request to this endpoint, the Sync that is updated will start a periodic full sync to reconcile its existing synced records with the records accessible in the new account.


## OpenAPI

````yaml patch /api/syncs/{syncId}
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/syncs/{syncId}:
    patch:
      summary: Update a Sync
      description: Update the credential associated with a Sync for a Connected User
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: ID of the sync to update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - credentialId
              properties:
                credentialId:
                  type: string
                  description: >-
                    The ID of the credential to associate with this sync. Must
                    be a valid UUID.
      responses:
        '200':
          description: Sync successfully updated
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - data
                  - message
                properties:
                  id:
                    type: string
                    description: ID of the updated sync
                  data:
                    type: object
                    properties:
                      credentialId:
                        type: string
                  message:
                    type: string
                    example: Update request accepted and is being processed
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Sync not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````